{
  "schema_version": "1.4.0",
  "id": "GHSA-vmwq-xc6v-xj4j",
  "modified": "2024-02-15T21:31:23Z",
  "published": "2022-05-02T03:46:54Z",
  "aliases": [
    "CVE-2009-3616"
  ],
  "details": "Multiple use-after-free vulnerabilities in vnc.c in the VNC server in QEMU 0.10.6 and earlier might allow guest OS users to execute arbitrary code on the host OS by establishing a connection from a VNC client and then (1) disconnecting during data transfer, (2) sending a message using incorrect integer data types, or (3) using the Fuzzy Screen Mode protocol, related to double free vulnerabilities.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-3616"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=501131"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=505641"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=508567"
    },
    {
      "type": "WEB",
      "url": "http://git.savannah.gnu.org/cgit/qemu.git/commit/?id=198a0039c5"
    },
    {
      "type": "WEB",
      "url": "http://git.savannah.gnu.org/cgit/qemu.git/commit/?id=753b405331"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=qemu-devel&m=124324043812915"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHEA-2009-1272.html"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2009/10/16/5"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2009/10/16/8"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/36716"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-416"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-10-23T18:30:00Z"
  }
}